-- Copyright SmiteWorks USA, LLC., 2011 

function onInit()
	super.onInit()
	registerMenuItem(Interface.getString("implant_insert"), "insert", 5)
	
	getDatabaseNode().onChildUpdate = updateTotalCp
	window.getDatabaseNode().createChild("cp", "number").onUpdate = updateTotalCp
	updateTotalCp()
end

function onMenuSelection(selection)
	if selection == 5 then 
		initializeCreatedImplant(createWindow())
	end
end

function updateTotalCp()
	local nTotalCP = 0
	for _,n in pairs(getDatabaseNode().getChildren()) do
		local notes = DB.getValue(n, "notes", 1)
		if notes then
			--if notes:find('CP: +')  then
				--local curCP = tonumber(notes:match('(%d)')) or 0
				local curCP = tonumber( string.sub(notes, 6, 6) ) or 0
				nTotalCP = nTotalCP + curCP
			--end
		end
	end

	window.totalcp.setValue(nTotalCP)
	--window.cpnotes.setValue(nTotalCP)
end

function initializeCreatedImplant(win)
end
